org.eclipse.jetty.plus.jaas.callback

## Class ObjectCallback

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.callback.ObjectCallback

- All Implemented Interfaces:
    Callback

      public class ObjectCallback
      extends Object
      implements Callback

  ObjectCallback

  Can be used as a LoginModule Callback to obtain a user's credential as an Object, rather than a char[], to which some credentials may not be able to be converted

  #### Notes

  #### Usage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `_object`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectCallback()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearObject()`
    `Object` | `getObject()`
    `void` | `setObject(Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _object

          protected Object _object

  - ### Constructor Detail

    - #### ObjectCallback

          public ObjectCallback()

  - ### Method Detail

    - #### setObject

          public void setObject(Object o)

    - #### getObject

          public Object getObject()

    - #### clearObject

          public void clearObject()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.